Get recurring payment details.
GET
/v1/recurring-payments/{reference}
const url = 'https://api.ridleypay.com/v1/recurring-payments/WOO-SUB-456';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ridleypay.com/v1/recurring-payments/WOO-SUB-456 \ --header 'Authorization: Bearer <token>'Returns the current status and details of a recurring payment schedule.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”reference
required
string
The recurring payment reference.
Example
WOO-SUB-456Responses
Section titled “ Responses ”Schedule found
Media typeapplication/json
object
data
object
id
string
type
string
attributes
object
reference
string
amount
string
currency
string
frequency
string
interval_count
integer
status
string
next_billing_date
string
retry_count
integer
manage_url
string
links
object
self
string
Example
{ "data": { "id": "1", "type": "recurring-payments", "attributes": { "reference": "WOO-SUB-456", "amount": "29.99", "currency": "JMD", "frequency": "monthly", "interval_count": 1, "status": "active", "next_billing_date": "2026-04-06", "retry_count": 0, "manage_url": "https://pay.example.com/billing/mgt_abc123" }, "links": { "self": "https://pay.example.com/api/v1/recurring-payments/WOO-SUB-456" } }}Not found
Media typeapplication/json
object
errors
Array<object>
object
status
string
title
string
detail
string
Example
{ "errors": [ { "status": "404", "title": "Not Found", "detail": "Recurring payment not found." } ]}